/* Sessai version */
#ifdef __USAGE
%C - display weekday today
%C [-n|-c|-C]
	-n : numeric expression (Sun=0,Mon=1,...,Sat=6)
	-c : 3-character expression (Sun,Mon,...,Sat)	[default]
	-C : full character expression (Sunday,...,Saturday)
#endif

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <time.h>

static const char *wdayname[]={"Sun","Mon","Tue","Wed","Thu","Fri","Sat"};
static const char *weekday[]={
"Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"};

void main(int argc,char *argv[]){

int yr,month,day,hour,min,sec;
int yday,wday;
int mode=1;

  time_t sys_time;
  struct tm *gmt_time;
  struct timespec rtc;

if(argc>1){
	if(strcmp(argv[1],"-n")==0)mode=0;
	if(strcmp(argv[1],"-c")==0)mode=1;
	if(strcmp(argv[1],"-C")==0)mode=2;
}

//  sys_time = time(NULL);
  clock_gettime(CLOCK_REALTIME,&rtc);
  sys_time = (time_t) rtc.tv_sec;
//clock_getres(CLOCK_REALTIME,&res);

  gmt_time = gmtime(&sys_time);
//yr = gmt_time->tm_year + 1900;
//month = gmt_time->tm_mon + 1;
//day = gmt_time->tm_mday; 
//hour = gmt_time->tm_hour;
//min = gmt_time->tm_min;
//sec = gmt_time->tm_sec;

//yday = gmt_time->tm_yday +1;
  wday = gmt_time->tm_wday;

//ysec=(long)(yday-1)*86400L+(long)hour*3600L+(long)min*60L+(long)sec;

//strcpy(tz,getenv("TZ"));

if(mode==0)fprintf(stdout,"%d\n",wday);
if(mode==1)fprintf(stdout,"%s\n",wdayname[wday]);
if(mode==2)fprintf(stdout,"%s\n",weekday[wday]);

//fprintf(stdout,
// "%2d %d/%02d/%02d (%03d:%s) %02d:%02d:%02d.%09ld %s %10ldu/%8ldys/%ldus\n",
//	osdata.nodename,
//	yr,month,day,yday,wdayname[wday],hour,min,sec,rtc.tv_nsec,tz,
//	sys_time,ysec,res.tv_nsec/1000);

  exit(0);
}  

