/* Sessai version */
#ifdef __USAGE
%C - display yearsec now
#endif

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
//#include <sys/timers.h>	/* necessary for getclock function!!! */
#include <time.h>

//#include <sys/types.h>
//#include <sys/name.h>

/* for clock_report() !!!! */
//#include <signal.h>
//#include <sys/name.h>
//#include <errno.h>
//#include <sys/vc.h>
//#include <sys/kernel.h>
//#include <sys/osinfo.h>

static const char *wdayname[]={"Sun","Mon","Tue","Wed","Thu","Fri","Sat"};
static const char *weekday[]={
"Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"};

void main(int argc,char *argv[]){

int yr,month,day,hour,min,sec;
int yday,wday;

  time_t sys_time;
  struct tm *gmt_time;
  struct timespec rtc;
  struct timespec res;
  char tz[16];
  long ysec;
  long y0sec,d0sec,dsec,y0day;

	int i,num_nids;
	static char alive[32];
	nid_t nids[32];

//  sys_time = time(NULL);
  clock_gettime(CLOCK_REALTIME,&rtc);
  sys_time = (time_t) rtc.tv_sec;
  clock_getres(CLOCK_REALTIME,&res);

  gmt_time = gmtime(&sys_time);
  yr = gmt_time->tm_year + 1900;
  month = gmt_time->tm_mon + 1;
  day = gmt_time->tm_mday; 
  hour = gmt_time->tm_hour;
  min = gmt_time->tm_min;
  sec = gmt_time->tm_sec;

  yday = gmt_time->tm_yday +1;
  wday = gmt_time->tm_wday;

  ysec=(long)(yday-1)*86400L+(long)hour*3600L+(long)min*60L+(long)sec;

  strcpy(tz,getenv("TZ"));

  fprintf(stdout,"%ld\n",ysec);

//fprintf(stdout,
// "%2d %d/%02d/%02d (%03d:%s) %02d:%02d:%02d.%09ld %s %10ldu/%8ldys/%ldus\n",
//	osdata.nodename,
//	yr,month,day,yday,wdayname[wday],hour,min,sec,rtc.tv_nsec,tz,
//	sys_time,ysec,res.tv_nsec/1000);

  exit(0);
}  

