#include <stdlib.h>
#include <stdio.h>
#include <string.h>
//#include <dirent.h>	//for [open|read|close]dir
#include <time.h>	//for time_t,struct tm,gmtime();
//#include <unistd.h>	//for access();

#ifdef __USAGE
%C - convert unix time to UTC... by Sessai@NIPR
%C <unix time>
#endif

void usage();

void usage(){
	fprintf(stderr,"u2ut - convert unix time to UTC... by Sessai@NIPR\n");
	fprintf(stderr,"u2ut <unix time>\n");
	exit(-1);
};

void main(int argc,char *argv[]){
	time_t t;
	struct tm tms;

	if(argc==1){
		usage();
	}

	t=atol(argv[1]);
	tms=*gmtime(&t);
	//_gmtime(&t,&tms);

	//fprintf(stdout,"unix time of %ld = %d/%d/%d %02d:%02d:%02d UTC\n",
	fprintf(stdout,"unix time of %lu = %d/%d/%d %02d:%02d:%02d UTC\n",
			(unsigned long)t,
			tms.tm_year+1900,tms.tm_mon+1,tms.tm_mday,
			tms.tm_hour,tms.tm_min,tms.tm_sec);
	exit(0);
}

